﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Shapes;

namespace SnapToPixelTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.ContentRendered += this.MainWindow_ContentRendered;
        }

        void MainWindow_ContentRendered(object sender, EventArgs e)
        {
            this.DrawHorizonatalLine(10);
            this.DrawVerticalLine(9);
       }

        private void DrawHorizonatalLine(int count)
        {
            for (var i = 0; i < count; i++)
            {
                var newLine = new Line();
                newLine.X1 = 0;
                newLine.X2 = this.xCanvas.ActualWidth;

                newLine.Y1 = (int)(i * (this.xCanvas.ActualHeight / count));
                newLine.Y2 = newLine.Y1;

                newLine.SnapsToDevicePixels = true;
                newLine.Stroke = Brushes.Black;
                newLine.StrokeThickness = 1;

                this.xCanvas.Children.Add(newLine);
            }
        }

        private void DrawVerticalLine(int count)
        {
            for (var i = 0; i < count; i++)
            {
                var newLine = new Line();
                newLine.X1 = (int)(i * (this.xCanvas.ActualWidth / count));
                newLine.X2 = newLine.X1;

                newLine.Y1 = 1;
                newLine.Y2 = this.xCanvas.ActualHeight;

                newLine.SnapsToDevicePixels = true;
                newLine.Stroke = Brushes.Black;
                newLine.StrokeThickness = 1;

                this.xCanvas.Children.Add(newLine);
            }
        }
    }
}
